phpLDAPadmin

# Class: xmlTemplate

Source Location: /templates/3rdParty/pla/lib/xmlTemplates.php

### Class Overview

XML Template Class

#### Author(s):

### Variables

- $attributes
- $filename
- $id
- $name
- $readtime
- $server_id
- $type

### Methods

- __construct
- addAttribute
- getAttribute
- getAttributeNames
- getAttrID
- getFileName
- getID
- getName
- getReadTime
- getServer
- getServerID
- getTitle
- getType
- isAdminDisabled
- isType

### Child classes:

Template
  Template Class

Query
  Query Class

### Class Details

[line 263]
XML Template Class

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $attributes = array()

[line 277]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $filename =

[line 275]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $id =

[line 267]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $name =

[line 269]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $readtime =

[line 273]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $server_id =

[line 265]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $type =

[line 271]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 279]

`xmlTemplate __construct( $server_id, [ $name = null], [ $filename = null], [ $type = null], [ $id = null])`

#### Tags:

access: | public

Overridden in child classes as:

Template::__construct()

#### Parameters:

| $server_id |
| $name |
| $filename |
| $type |
| $id |

[ Top ]

### method addAttribute [line 432]

`int addAttribute( $name, $value, [ $source = null])`

Add another attribute to this template

#### Tags:

return: | Attribute ID
access: | public

#### Parameters:

| $name |
| $value |
| $source |

[ Top ]

### method getAttribute [line 483]

`object Attribute getAttribute( string $name)`

Get a specific Attribute

#### Tags:

access: | public

#### Parameters:

string | $name | Name of attribute to retrieve

[ Top ]

### method getAttributeNames [line 465]

`array getAttributeNames( )`

Get the attribute names

#### Tags:

return: | Array of attributes Names
access: | public

[ Top ]

### method getAttrID [line 306]

`int getAttrID( string $attr)`

Get an attribute ID

#### Tags:

return: | Attribute ID in the array
access: | protected

#### Parameters:

string | $attr | The Attribute being searched.

[ Top ]

### method getFileName [line 320]

`void getFileName( )`

Get the Template filename.

#### Tags:

access: | public

[ Top ]

### method getID [line 330]

`void getID( )`

Return the template by ID

#### Tags:

access: | public

[ Top ]

### method getName [line 345]

`void getName( [boolean $lower = true])`

Return the template name

#### Tags:

access: | public

#### Parameters:

boolean | $lower | Force the name to be lowercase (default)

[ Top ]

### method getReadTime [line 358]

`void getReadTime( )`

Get the Template read time.

#### Tags:

access: | public

[ Top ]

### method getServer [line 370]

`object DataStore getServer( )`

Return this LDAP Server object

#### Tags:

return: | Server
access: | protected

[ Top ]

### method getServerID [line 382]

`int getServerID( )`

Return the LDAP server ID

#### Tags:

return: | Server ID
access: | protected

[ Top ]

### method getTitle [line 417]

`void getTitle( )`

Get template title

#### Tags:

access: | public

[ Top ]

### method getType [line 407]

`void getType( )`

Return the template type

#### Tags:

access: | public

[ Top ]

### method isAdminDisabled [line 497]

`void isAdminDisabled( )`

May be overloaded in other classes

#### Tags:

access: | public

Overridden in child classes as:

Template::isAdminDisabled()

[ Top ]

### method isType [line 394]

`boolean isType( $type)`

Test if a template is of a type

#### Tags:

access: | public

#### Parameters:

| $type |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:16 +0100 by phpDocumentor 1.4.1